Skip to main content
GET
/
job
List all jobs
curl --request GET \
  --url https://jobaffinity.fr/restapi/v1/job \
  --header 'Authorization: Basic <encoded-value>'
{
  "_self": "<string>",
  "_schema": "<string>",
  "_status": "OK",
  "_next": "<string>",
  "items": [
    {
      "_self": "<string>",
      "id": 123,
      "title": "<string>",
      "status": "DRAFT",
      "applications": {
        "_self": "<string>"
      },
      "start_applications_count": 123,
      "current_applications_count": 123,
      "end_applications_count": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication with API credentials

Query Parameters

limit
integer
default:20

Maximum number of items to return per page

Required range: 1 <= x <= 100
since
integer

Return items created or modified since this ID

Required range: x >= 0
alljobs
enum<integer>

Set to 1 to return all jobs visible to the user, not just jobs owned by the authenticated user.

Available options:
0,
1
status
enum<string>

Filter by job status. Can be specified multiple times to include multiple statuses (e.g. ?status=OPEN&status=CLOSED). By default, only OPEN and CLOSED jobs are listed.

Available options:
OPEN,
CLOSED,
ARCHIVED

Response

Paginated list of jobs

_self
string<uri>
_schema
string<uri>
_status
enum<string>
Available options:
OK,
INVALID
_next
string<uri> | null
items
object[]